Bug 984291 - volume clone operation change allocation type to pre-allocated [LVM]
volume clone operation change allocation type to pre-allocated [LVM]
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
3.0
x86_64 Linux
high Severity high
: rc
: 5.0 (RHEL 7)
Assigned To: Eric Harney
Dafna Ron
stalled_upstream
: FutureFeature, Improvement, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 10:04 EDT by Haim
Modified: 2016-04-26 13:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 12:23:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1224671 None None None Never

  None (edit)
Description Haim 2013-07-14 10:04:23 EDT
Description of problem:


while cloning a 2G volume, I noticed it take quite some time for operation to complete, then I noticed that cinder basically dd source volume. 
note that source volume is empty from data POV. 

expected results:

thin-provisioning allocation (write only used data)

current results:

every volume is pre-allocated.
Comment 1 Eric Harney 2013-07-17 08:51:08 EDT
To clarify, this is about the LVM driver, right?
Comment 2 Haim 2013-08-20 05:54:02 EDT
(In reply to Eric Harney from comment #1)
> To clarify, this is about the LVM driver, right?

indeed.

Note You need to log in before you can comment on or make changes to this bug.